Botan 2.19.5 Crypto and TLS for C&

Classes | Namespaces | Functions
pkix_types.h File Reference
`#include <botan/asn1_obj.h>`
`#include <botan/pkix_enums.h>`
`#include <vector>`
`#include <string>`
`#include <iosfwd>`
`#include <map>`
`#include <set>`

Go to the source code of this file.

## Classes
class | Botan::AlternativeName
class | Botan::Attribute
class | Botan::Certificate_Extension
class | Botan::Extensions
class | Botan::GeneralName
| X.509 GeneralName Type. More...
class | Botan::GeneralSubtree
| A single Name Constraint. More...
class | Botan::NameConstraints
| Name Constraints. More...
class | Botan::X509_DN

## Namespaces
namespace | Botan

## Functions
std::string | Botan::key_constraints_to_string (Key_Constraints constraints)
bool | Botan::operator!= (const X509_DN &dn1, const X509_DN &dn2)
bool | Botan::operator< (const X509_DN &dn1, const X509_DN &dn2)
std::ostream & | Botan::operator<< (std::ostream &os, const GeneralName &gn)
std::ostream & | Botan::operator<< (std::ostream &os, const GeneralSubtree &gs)
std::ostream & | Botan::operator<< (std::ostream &out, const X509_DN &dn)
bool | Botan::operator== (const X509_DN &dn1, const X509_DN &dn2)
std::istream & | Botan::operator>> (std::istream &in, X509_DN &dn)
void | Botan::verify_cert_constraints_valid_for_key_type (const Public_Key &pub_key, Key_Constraints constraints)